Bug 221498 - generate-modprobe.conf references incorrect package name
generate-modprobe.conf references incorrect package name
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: module-init-tools (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Masters
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-04 15:23 EST by Gavin Davenport
Modified: 2008-04-04 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 11:37:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gavin Davenport 2007-01-04 15:23:53 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Completely.

Steps to Reproduce:
1. attempt to run /sbin/generate-modprobe.conf
2. 
3.
  
Actual results:
Cannot find old version of modprobe. Giving up.


Expected results:
Huge list of entries suitable for use in modprobe.conf

Additional info:
Bug is here:
   34     modprobe.old -c > $MODPROBECONF
     35 elif /sbin/modprobe -V 2>/dev/null | grep -q 'modprobe version'; then
     36     # Running /sbin/modprobe gives old version.
     37     /sbin/modprobe -c > $MODPROBECONF
   
It should say:
   34     modprobe.old -c > $MODPROBECONF
     35 elif /sbin/modprobe -V 2>/dev/null | grep -q 'module-init-tools
version'; then
     36     # Running /sbin/modprobe gives old version.
     37     /sbin/modprobe -c > $MODPROBECONF

Sorry I'm not up to creating patches, I'll just make a hash of it
Comment 1 Gavin Davenport 2007-01-04 15:25:01 EST
[root@ponsonby ~]# rpm -qi module-init-tools
Name        : module-init-tools            Relocations: (not relocatable)
Version     : 3.2.2                             Vendor: Red Hat, Inc.
Release     : 0.FC5.3                       Build Date: Wed 10 May 2006 07:14:55
AM BST
Install Date: Mon 01 Jan 2007 06:30:58 PM GMT      Build Host:
hs20-bc1-2.build.redhat.com
Group       : System Environment/Kernel     Source RPM:
module-init-tools-3.2.2-0.FC5.3.src.rpm
Size        : 737083                           License: GPL
Signature   : DSA/SHA1, Tue 06 Jun 2006 07:35:14 PM BST, Key ID b44269d04f2a6fd2
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary     : Kernel module management utilities.
Description :
The modutils package includes various programs needed for automatic
loading and unloading of modules under 2.2 and later kernels, as well
as other module management programs. Device drivers and filesystems
are two examples of loaded and unloaded modules.
[root@ponsonby ~]# rpm -qV module-init-tools
S.5....T    /sbin/generate-modprobe.conf
Comment 2 Jon Masters 2007-08-20 02:27:41 EDT
Ah. Right. Ok.

Jon.
Comment 3 Bug Zapper 2008-04-04 01:29:23 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Jon Masters 2008-04-04 11:37:09 EDT
This is not a bug. generate-modprobe.conf is looking for the original version of
/sbin/modprobe, not the new version you might have just installed :) I'm closing
this as this should not even remotely be an issue on fc8.

Jon.

Note You need to log in before you can comment on or make changes to this bug.